Subject: RE: draft-danisch-dns-rr-smtp-02.txt

From: Dean Anderson <[email-masked]>
Date: Fri, 6 Jun 2003 15:08:04 -0400 (EDT)

On Thu, 5 Jun 2003, Hallam-Baker, Phillip wrote:

> The difference here is that in a whitelist scheme I go off to get
> affirmatively included. If the whitelister decides not to continue listing
> me I know that they have done that and I can require them to give reasons.

YOu are correct that this is a whitelist scheme. However, we already have
whitelist facilities, and don't need addtitional changes to implement a
whitelist.

Regular DNS blacklist methods also work as whitelist methods. In fact, I
run a whitelist using Dan Bernstein's rbldns software.

This proposal serves no purpose whatsoever.  We don't need any changes to
DNS to implement whitelists. This functionality already exists.

=============
divert(-1)
#
# Sendmail feature/hack M4 file for implementing whitelist
#
# Copyright 2003, Av8 Internet, Inc
#
# dnswhitelist.mf
#

divert(0)
ifdef(`_DNSBL_R_',`dnl',`dnl
VERSIONID(`$Id: dnswhitelist.m4,v 8.18.16.1 2000/11/22 01:13:21 ca Exp
$')')
divert(-1)
divert(8)
# DNS based IP address whitelist _ARG_
R$*			$: $&{client_addr}
R::ffff:$-.$-.$-.$-	$: <?> $(host $4.$3.$2.$1._ARG_. $: OK $)
R$-.$-.$-.$-		$: <?> $(host $4.$3.$2.$1._ARG_. $: OK $)
R<?>OK			$: NOTWHITELISTED
R<?>$+			$@ WHITELISTEDDONE
divert(-1)

--
to unsubscribe send a message to [email-masked] with
the word 'unsubscribe' in a single line as the message text body.
archive: <http://ops.ietf.org/lists/namedroppers/>